﻿using Stimulsoft.Report;

namespace MyAssembly.NetCore;

public static class ReportHelper
{
    private static bool _isInitialized;

    public static void InitializeIfNeed()
    {
        if (_isInitialized)
            return;

        StiOptions.Services.DataSource.Add(new MySource());

        _isInitialized = true;
    }

    public static StiReport CreateMyReport()
    {
        var report = new StiReport() { ReportName = "MyReport" };

        var assemblies = report.ReferencedAssemblies.ToList();
        assemblies.Add($"{typeof(ReportHelper).Assembly.GetName().Name}.dll");
        report.ReferencedAssemblies = assemblies.ToArray();

        var mySource = new MySource("MySource (root)", "MySource");
        report.Dictionary.DataSources.Add(mySource);
        report.IsModified = true;

        return report;
    }
}
